<?xml version="1.0" encoding="utf-8"?>
<Session ID="/baanerp/tt/aad/ttaad4156m000" xml:lang="en">
	<Header>
		<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Shared Memory Data (ttaad4156m000)</Title>
	</Header>
	<HelpTopic xml:lang="en"><AimSection><Paragraph class="Default">
                                 Use this session to maintain, per package combination, a list of report objects and/or program objects that must be loaded into shared memory.</Paragraph>
		</AimSection>
		<GeneralSection><Paragraph class="Default">This session replaces the already existing <GUIRef href="/baanerp/tt/aad/ttaad4150m000" role="session">Shared Memory Data (ttaad4150m000)</GUIRef> session, which is now deprecated.</Paragraph>
		</GeneralSection>
		<Note><SectionTitle>
                                 Note
                              </SectionTitle>
			<Paragraph class="Default">Besides manually adding objects in shared memory, you can use commands in the <GUIRef href="" role="menu">Specific</GUIRef> menu to import objects from the data dictionary (DD) and from the object measurement data. For details, refer to the descriptions of the form commands.</Paragraph>
		</Note>
		<GeneralSection ID="migration"><SectionTitle>Migration</SectionTitle>
			<Paragraph class="Default">As long as no objects are defined as shared memory data in this session, you can migrate the defined objects from the deprecated <GUIRef href="/baanerp/tt/aad/ttaad4150m000" role="session">Shared Memory Data (ttaad4150m000)</GUIRef> session.</Paragraph>
			<Paragraph class="Default">When you start the current ( <GUIRef href="/baanerp/tt/aad/ttaad4156m000" role="session">Shared Memory Data (ttaad4156m000)</GUIRef> ) session, while no objects are defined yet, the following question is displayed:</Paragraph>
			<Paragraph class="Default"><Code>Do you want to import all objects as defined in session Shared Memory Data (ttaad4150m000)?</Code>
			</Paragraph>
			<Paragraph class="Default">If you click <GUIRef href="" role="manual">Yes</GUIRef>, the migration process copies all objects from the deprecated <GUIRef href="/baanerp/tt/aad/ttaad4150m000" role="session">Shared Memory Data (ttaad4150m000)</GUIRef> session to the current <GUIRef href="/baanerp/tt/aad/ttaad4156m000" role="session">Shared Memory Data (ttaad4156m000)</GUIRef> session.</Paragraph>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<List><ListItem>If the VRC of an object, specified in the deprecated <GUIRef href="/baanerp/tt/aad/ttaad4150m000" role="session">Shared Memory Data (ttaad4150m000)</GUIRef> session, is directly linked to a package combination (see the <GUIRef href="/baanerp/tt/aad/ttaad1121m000" role="session">Packages by Package Combination (ttaad1121m000)</GUIRef> session), the object will be linked to this package combination.</ListItem>
					<ListItem>During a migration ALL data is copied, regardless (if present) allocated memory settings defined in the <GUIRef href="/baanerp/tt/aad/ttaad4155m000" role="session">Allocated Memory Shared Memory (ttaad4155m000)</GUIRef> session.</ListItem>
					<ListItem>The data in the deprecated <GUIRef href="/baanerp/tt/aad/ttaad4150m000" role="session">Shared Memory Data (ttaad4150m000)</GUIRef> session will NOT be deleted.</ListItem>
					<ListItem>Information on the migration process will be stored in the <Code>log.shm_conv</Code> logfile in the <Code>${BSE}/log</Code> folder.</ListItem>
					<ListItem>The <GUIRef href="" role="menu">Specific</GUIRef> menu contains a command to migrate the shared memory data. According to the constraint mentioned above, this option is only enabled as long as no objects are defined as shared memory data in the current <GUIRef href="/baanerp/tt/aad/ttaad4156m000" role="session">Shared Memory Data (ttaad4156m000)</GUIRef> session.</ListItem>
				</List>
			</Note>
		</GeneralSection>
	</HelpTopic>
	<Fields><FieldHelp ID="ttaad456.pacc"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Package Combination</Title>
			</Header>
			<FuncDesc>The package combination to which a list of objects belongs.</FuncDesc>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<Paragraph class="Default">Tools objects (objects of packages tt and tl) do not belong to a package combination, and are therefore stored in the dummy &lt;empty&gt; package combination. Therefore, to create a list of Tools objects to be loaded into shared memory, leave this field empty.</Paragraph>
			</Note>
		</FieldHelp>
		<FieldHelp ID="dd.shm"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Table Def. in Shared Memory</Title>
			</Header>
			<FuncDesc>This check box indicates whether table definitions and domains of a package combination must be loaded into shared memory. This field is technical and functional identical to the <GUIRef href="/baanerp/tt/aad/ttaad1120s000#ttaad120.shme" role="field">Table Def. in Shared Memory</GUIRef> field in the <GUIRef href="/baanerp/tt/aad/ttaad1120s000" role="session">Package Combinations (ttaad1120s000)</GUIRef> session.</FuncDesc>
			<Note><SectionTitle>
                                    Note
                                 </SectionTitle>
				<List><ListItem>This field is read-only. However, as long as no objects are defined for a package combination, you can change its value in the <Link href="/baanerp/tt/aad/ttaad1120s000" role="session">Package Combinations (ttaad1120s000)</Link> session.</ListItem>
					<ListItem>If one or more objects are defined for a package combination, the check box is automatically selected.</ListItem>
					<ListItem>You can start the <GUIRef href="/baanerp/tt/aad/ttaad1120s000" role="session">Package Combinations (ttaad1120s000)</GUIRef> session through the <GUIRef href="" role="menu">Specific</GUIRef> menu.</ListItem>
				</List>
			</Note>
		</FieldHelp>
		<FieldHelp ID="all.mem"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Allocated</Title>
			</Header>
			<FuncDesc>The amount of memory (in MB), allocated for shared memory data, for a package combination.</FuncDesc>
			<SimpleSection><Paragraph class="Default">To define allocated shared memory, click <GUIRef href="/baanerp/tt/aad/ttaad4156m000#goto.allocate" role="command">Allocate</GUIRef>. The <GUIRef href="/baanerp/tt/aad/ttaad4155m000" role="session">Allocated Memory Shared Memory (ttaad4155m000)</GUIRef> session starts. Use this session to specify the allocated memory per package combination.</Paragraph>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="act.mem"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Actual</Title>
			</Header>
			<FuncDesc>The total memory usage (in MB) of all objects, including the objects marked as <Link href="/baanerp/tt/aad/ttaad4156m000#ttaad456.fxed" role="formfield">Fixed</Link>, in shared memory for a package combination.</FuncDesc>
			<SimpleSection><Paragraph class="Default">If the actual memory usage exceeds the allocated memory, an asterisk (*) symbol is displayed behind the allocated memory.</Paragraph>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="fix.mem"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Fixed</Title>
			</Header>
			<FuncDesc>The total memory usage (in MB) of all objects marked as <Link href="/baanerp/tt/aad/ttaad4156m000#ttaad456.fxed" role="formfield">Fixed</Link> in shared memory for a package combination.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad456.onam"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Object</Title>
			</Header>
			<FuncDesc>The name of the object.</FuncDesc>
			<SimpleSection><Paragraph class="Default">The name has the following format: <Code>[package code][module code][object code]</Code>.</Paragraph>
			</SimpleSection>
		</FieldHelp>
		<FieldHelp ID="ttaad456.otyp"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Type</Title>
			</Header>
			<FuncDesc>The type of object: Program Object or Report Object.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad456.osiz"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Size</Title>
			</Header>
			<FuncDesc>The estimated size, in bytes, of the object in shared memory.</FuncDesc>
		</FieldHelp>
		<FieldHelp ID="ttaad456.fxed"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Fixed</Title>
			</Header>
			<FuncDesc>
                                 If this check box is selected, the object will not be removed from the shared memory data when you run the <Link href="/baanerp/tt/aad/ttaad4255m000" role="session">Import Objects from Measurement (ttaad4255m000)</Link> session with the <GUIRef href="/baanerp/tt/aad/ttaad4255m000#fill.all.mem" role="field">Fill remaining allocated memory with most counted objects</GUIRef> check box selected.</FuncDesc>
			<SimpleSection><Paragraph class="Default">
                                    If this check box is selected, the object will be removed from the shared memory data when you run the <GUIRef href="/baanerp/tt/aad/ttaad4255m000" role="session">Import Objects from Measurement (ttaad4255m000)</GUIRef> session with the <GUIRef href="/baanerp/tt/aad/ttaad4255m000#fill.all.mem" role="field">Fill remaining allocated memory with most counted objects</GUIRef> check box selected.</Paragraph>
			</SimpleSection>
		</FieldHelp>
	</Fields>
	<FormCommands><CommandHelp ID="goto.allocate"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Allocate...</Title>
			</Header>
			<FuncDesc>Starts the <Link href="/baanerp/tt/aad/ttaad4155m000" role="session">Allocated Memory Shared Memory (ttaad4155m000)</Link> session.</FuncDesc>
		</CommandHelp>
		<CommandHelp ID="import.shm"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Import Objects from Shared Memory Data</Title>
			</Header>
			<FuncDesc>Copies the shared memory data from the deprecated <GUIRef href="/baanerp/tt/aad/ttaad4150m000" role="session">Shared Memory Data (ttaad4150m000)</GUIRef> session to the current <GUIRef href="/baanerp/tt/aad/ttaad4156m000" role="session">Shared Memory Data (ttaad4156m000)</GUIRef> session.</FuncDesc>
			<SimpleSection><Paragraph class="Default">This option is only enabled as long as no objects are defined as shared memory data in the current session. For details, refer to <Link href="#migration" role="internal" Update="No">Migration</Link>.</Paragraph>
			</SimpleSection>
		</CommandHelp>
		<CommandHelp ID="ttaad4254m000"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Import Objects from DD</Title>
			</Header>
			<FuncDesc>Starts the <Link href="/baanerp/tt/aad/ttaad4254m000" role="session">Import Objects from DD (ttaad4254m000)</Link> session.</FuncDesc>
		</CommandHelp>
		<CommandHelp ID="ttaad4255m000"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Import Objects from Measurement</Title>
			</Header>
			<FuncDesc>Starts the <Link href="/baanerp/tt/aad/ttaad4255m000" role="session">Import Objects from Measurement (ttaad4255m000)</Link> session.</FuncDesc>
		</CommandHelp>
		<CommandHelp ID="ttaad1120s000"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Package Combinations</Title>
			</Header>
			<FuncDesc>Starts the <Link href="/baanerp/tt/aad/ttaad1120s000" role="session">Package Combinations (ttaad1120s000)</Link> session.</FuncDesc>
		</CommandHelp>
		<CommandHelp ID="exec.user.1"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Recalculate Object Size</Title>
			</Header>
			<FuncDesc>The object size is stored as shared memory data. However the object size is not a static property. Therefore you can use this command to recalculate the size of the objects in shared memory for a package combination.</FuncDesc>
		</CommandHelp>
		<CommandHelp ID="exec.user.0"><Header>
				<Title xmlns:HTML="http://www.w3.org/TR/REC-html40">Convert to Runtime</Title>
			</Header>
			<FuncDesc>Converts the shared memory data to runtime.</FuncDesc>
			<SimpleSection><Paragraph class="Default">The procedure is identical to the procedure used in the deprecated <GUIRef href="/baanerp/tt/aad/ttaad4150m000" role="session">Shared Memory Data (ttaad4150m000)</GUIRef> session. However, you can only run the <GUIRef href="/baanerp/tt/aad/ttaad4156m000#exec.user.0" role="command">Convert to Runtime</GUIRef> command on a host defined as Master Application Server (MAS) in the <GUIRef href="/baanerp/tt/aad/ttaad0550m000" role="session">Systems (ttaad0550m000)</GUIRef> session. If the host is not a MAS, the <GUIRef href="/baanerp/tt/aad/ttaad4156m000#exec.user.0" role="command">Convert to Runtime</GUIRef> command is disabled.</Paragraph>
				<Paragraph class="Default">Tools program domains, table definitions and objects (components of packages ‘tl’ and ‘tt’) are not directly related to a package combination. Therefore they are dumped only once, in the package combination that is dumped first.</Paragraph>
			</SimpleSection>
		</CommandHelp>
	</FormCommands>
</Session>
